/*                            ATTRINFO.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef ATTRINFO_H
#define ATTRINFO_H

typedef struct attribute_info
{
	char *name;
	int  value;
} ATTRIBUTE_INFO;

typedef struct attribute_types
{
	char *name;
	unsigned short abbrev;
	unsigned short index;
	ATTRIBUTE_INFO *table;
	unsigned table_size;
} ATTRIBUTE_TYPE;

/* Functions */

int attribute_info_parse(int attributes[],
                         char *text,
                         char *assignment,
                         char *seperator);

int attribute_index_parse(int attributes[],
                          char *text,
                          char *assignment,
                          char *seperator);

#endif
















