/*                           ATTRLIST.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef ATTRLIST_H
#define ATTRLIST_H

#ifndef ATTRCONS_H
#include "attrcons.h"
#endif

#ifndef BERUTIL_H
#include "berutil.h"
#endif

#ifndef STRINGS_H
#include "strings.h"
#endif

#ifndef DATABASE_H
#include "database.h"
#endif

/* Prototype */

int attributelist(DATA_DIR *PAttr,   
                  int attributes[MAX_ATTRIBUTES]);

int attributelist_and_term(DATA_DIR *POperand,
                           int  attributes[MAX_ATTRIBUTES],
                           STRING *term,
                           int  words);

#endif
