/*
 *      oclc.h -- defns oclc mark tape records
 *
 *      Philip L. Budne, Boston University, Distributed Systems Group
 *      Copyright 1988, 1989, Philip L. Budne
 *      May be used in not-for-profit applications provided this
 *      notice and the above copyright are not removed.  No warranty
 *      is expressed or implied.
 */

# define EOS '\0'                       /* End of String Char */

# define MAXB 9999                      /* Max length for bib record */
# define MINB 124                       /* Min length for bib record */

# define MAXH 9999                      /* Max length for holdings record */
# define MINH 112                       /* Min length for holdings record */

# define MAXLREC MAXB                   /* Max length for any logical record */

# define RE '\035'                      /* record end */
# define RS '\036'                      /* record sep */
# define US '\037'                      /* start of subsection */

# define SCHAR '|'                      /* char to output for subsection */
                                        /* could also use '$' */
