/*                            PLACE.H                             */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef PLACE_H
#define PLACE_H

#ifndef BERUTIL_H
#include "berutil.h"
#endif

#ifndef DATABASE_H
#include "database.h"
#endif

void place_db_element_set_names(DATA_DIR *node,
                                char *generic,
                                DATABASE_REFERENCE db);

void place_element_set_names(DATA_DIR *node,
                             char *generic,
                             DATABASE_REFERENCE db);

void place_preferred_record_syntax(DATA_DIR *node,
                                   unsigned int syntax);

#endif
