/*                           RESOURCE.H                            */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

enum resource_report_bib1_tags
{
    ResultCurrentSearch = 1,
    ResultCompleteSearch,
    ResultCurrentPresent,
    ResultCompletePresent,
    TimeUsed,
    TimeComplete,
    TimeTotal,
    CostUsed,
    CostComplete,
    CostTotal,
    TimeElapsed
};

static char *resource_report_bib1_msg[] =
{
    "--Dummy entry (not used)--",
    "Estimated number of records in current (incomplete) result for search",
    "Estimated number of records if search completes",
    "Estimated number of records available to be returned",
    "Estimated number of records that may be returned",
    "Processing time (in .001 CPU seconds) used by this operation so far",
    "Estimated total processing time (in .001 CPU seconds) on completion",
    "Estimated processing time (in .001 CPU seconds) for this association",
    "Estimated cost for this operation so far",
    "Estimated cost for this operation on completion",
    "Estimated cost for this association so far",
    "Estimated elapsed time (in .001 secs) on completion of this operation"
};

#define MAX_RESOURCE_REPORT_BIB1    (sizeof(resource_report_bib1_msg) / \
                                     sizeof(resource_report_bib1_msg[0]))

