/*                            SCAN_PDU.H                           */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef SCAN_PDU_H
#define SCAN_PDU_H

#ifndef SESSION_H
#include "session.h"
#endif

#ifndef SCANINFO_H
#include "scaninfo.h"
#endif

int send_scan_pdu(SESSION   *session,
                  char      *index,
                  char      *term,
                  int       position,
                  int       step_size,
                  int       number_of_terms,
                  SCAN_INFO *scan);

#endif
