/*                          PRESENT_PDU.H                          */

/*
 *  Copyright (c) 1992 Stanford Leland Junior University
 *
 *  Commercial use prohibited
 *
 *  Author: Harold Finkbeiner (Harold@Forsythe.Stanford.Edu)
 */

#ifndef PRESENT_PDU_H
#define PRESENT_PDU_H

#ifndef SESSION_H
#include "session.h"
#endif

#ifndef RECINFO_H
#include "recinfo.h"
#endif

int send_present_pdu(SESSION *session,
                     char *elemname,
                     unsigned int syntax,
                     unsigned int position,
                     unsigned int requested,
                     RECORD_INFO *records);

#endif
